Summary: Zephyr distributed messaging system
Name: zephyr
Version: 2.0.4
Release: 5
Source: prep.ai.mit.edu:/pub/ATHENA/zephyr/dist/zephyr-2.0.4.tar.gz
Patch0: zephyr-2.0.4-nosyslogd.patch
Patch1: zephyr-2.0.4-zwgcman.patch
Patch2: zephyr-2.0.4-rhs.patch
Copyright: MIT
Group: Networking/Utilities
BuildRoot: /tmp/z-root
Packager: Elliot Lee <sopwith@cuc.edu>
%description
Zephyr is a notice transport and delivery system developed at MIT which
runs under 4.3BSD Unix. 

A Notice Transport and Delivery system is a method of getting small
quantities of time sensitive information efficiently from one client (or
server) on a network to another. 

%package server
Summary: Files necessary to run a zephyr server
Group: Networking/Utilities
Requires: zephyr
%description server
This package includes the files necessary to run a zephyr server on your Linux machine. Note
that this is *NOT* the same as running ZHM (the zephyr host manager), which
needs to be run on every machine you wish to use zephyr on.

%package devel
Summary: Files necessary to develop programs that use zephyr messaging
Group: Development/Libraries
Requires: zephyr
%description devel
If you are planning to write your own programs that use the Zephyr
messaging system, you will want this package. 

%changelog
* Tue Feb 18 1997 Elliot Lee <sopwith@cuc.edu>
Got this package from incoming.
Fixed up initscripts to shut down/start up more sanely.
Split things up into -server and -devel packages.
Put in the BuildRoot.

%prep
%setup
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr --exec-prefix=/usr --datadir=/usr/lib/zephyr --sbindir=/usr/sbin
make confdir=/etc/zephyr DEBUG="${RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/sbin,etc/zephyr,etc/rc.d/init.d,etc/rc.d/rc0.d,etc/rc.d/rc1.d,etc/rc.d/rc2.d,etc/rc.d/rc3.d,etc/rc.d/rc5.d,etc/rc.d/rc6.d}
make install confdir=$RPM_BUILD_ROOT/etc/zephyr prefix=$RPM_BUILD_ROOT/usr \
	exec-prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/usr/lib/zephyr \
	lsbindir=$RPM_BUILD_ROOT/usr/sbin sbindir=$RPM_BUILD_ROOT/usr/sbin \
	bindir=$RPM_BUILD_ROOT/usr/bin libdir=$RPM_BUILD_ROOT/usr/lib
install -m 755 ${RPM_SOURCE_DIR}/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 ${RPM_SOURCE_DIR}/zhm.init $RPM_BUILD_ROOT/etc/rc.d/init.d/
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S90zephyrd
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S90zephyrd
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K10zephyrd
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K10zephyrd
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K10zephyrd
ln -sf ../init.d/zephyrd.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K10zephyrd
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S91zhm
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S91zhm
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K09zhm
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K09zhm
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K09zhm
ln -sf ../init.d/zhm.init $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K09zhm
touch $RPM_BUILD_ROOT/etc/zephyr/server.list

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Initialize /etc/zephyr/server.list to a sane value
test -s /etc/zephyr/server.list || hostname -f >/etc/zephyr/server.list
ldconfig

%postun
ldconfig

%files
%doc INSTALL NOTES OPERATING README USING
%doc doc/progman
%doc /usr/man/man1/xzwrite.1
%doc /usr/man/man1/zaway.1
%doc /usr/man/man1/zctl.1
%doc /usr/man/man1/zephyr.1
%doc /usr/man/man1/zleave.1
%doc /usr/man/man1/zlocate.1
%doc /usr/man/man1/zmailnotify.1
%doc /usr/man/man1/znol.1
%doc /usr/man/man1/zwgc.1
%doc /usr/man/man1/zwrite.1
%doc /usr/man/man8/zhm.8
%doc /usr/man/man8/zpopnotify.8
%doc /usr/man/man8/zshutdown_notify.8
%doc /usr/man/man8/zstat.8
%config /etc/zephyr/*
/etc/rc.d/init.d/zhm.init
/etc/rc.d/rc3.d/S91zhm
/etc/rc.d/rc5.d/S91zhm
/etc/rc.d/rc0.d/K09zhm
/etc/rc.d/rc1.d/K09zhm
/etc/rc.d/rc2.d/K09zhm
/etc/rc.d/rc6.d/K09zhm
/usr/bin/xzwrite
/usr/bin/zaway
/usr/bin/zctl
/usr/bin/zleave
/usr/bin/zlocate
/usr/bin/znol
/usr/bin/zstat
/usr/bin/zwgc
/usr/bin/zwrite
/usr/lib/libzephyr.so.2.0
/usr/lib/zephyr
/usr/sbin/zhm
/usr/sbin/zmailnotify
/usr/sbin/zpopnotify
/usr/sbin/zshutdown_notify

%files server
/usr/sbin/zephyrd
/etc/rc.d/rc3.d/S90zephyrd
/etc/rc.d/rc5.d/S90zephyrd
/etc/rc.d/rc0.d/K10zephyrd
/etc/rc.d/rc1.d/K10zephyrd
/etc/rc.d/rc2.d/K10zephyrd
/etc/rc.d/rc6.d/K10zephyrd
/etc/rc.d/init.d/zephyrd.init
%doc /usr/man/man8/zephyrd.8

%files devel
/usr/lib/libzephyr.a
/usr/lib/libzephyr.so
/usr/include/zephyr
